Bug 20109 - Allow translating "Remove" in Add Fund
Summary: Allow translating "Remove" in Add Fund
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-31 07:36 UTC by paxed
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20109: Allow translating "Remove" in Add Fund (1.85 KB, patch)
2018-01-31 07:38 UTC, paxed
Details | Diff | Splinter Review
Bug 20109: Allow translating "Remove" in Add Fund (1.89 KB, patch)
2018-01-31 13:45 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20109: Allow translating "Remove" in Add Fund (2.01 KB, patch)
2018-02-04 11:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20109: (follow-up) Use double quote instead of simple-quote (1.35 KB, patch)
2018-02-05 12:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2018-01-31 07:36:51 UTC
When a user has been added to the fund, the link to "Remove" that user is not translatable.
Comment 1 paxed 2018-01-31 07:38:33 UTC
Created attachment 71079 [details] [review]
Bug 20109: Allow translating "Remove" in Add Fund

When a user has been added to the fund, the link to "Remove" that user
is not translatable.

Test plan:

1) Install language xx-YY
2) Go to Home -> Administration -> Budgets -> Funds -> Add Fund
3) Add a user to the fund
4) Notice how the "Remove" link after the user's name is not translated
5) Apply patch
6) Look in xx-YY-staff-prog.po, and if needed, translate the msgid "Remove"
7) Update and reinstall the language
8) Do 2 and 3 again. The "Remove" link should now be translated.
Comment 2 Owen Leonard 2018-01-31 13:45:35 UTC
Created attachment 71088 [details] [review]
Bug 20109: Allow translating "Remove" in Add Fund

When a user has been added to the fund, the link to "Remove" that user
is not translatable.

Test plan:

1) Install language xx-YY
2) Go to Home -> Administration -> Budgets -> Funds -> Add Fund
3) Add a user to the fund
4) Notice how the "Remove" link after the user's name is not translated
5) Apply patch
6) Look in xx-YY-staff-prog.po, and if needed, translate the msgid
   "Remove"
7) Update and reinstall the language
8) Do 2 and 3 again. The "Remove" link should now be translated.

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>
Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2018-02-04 11:32:32 UTC
Created attachment 71170 [details] [review]
Bug 20109: Allow translating "Remove" in Add Fund

When a user has been added to the fund, the link to "Remove" that user
is not translatable.

Test plan:

1) Install language xx-YY
2) Go to Home -> Administration -> Budgets -> Funds -> Add Fund
3) Add a user to the fund
4) Notice how the "Remove" link after the user's name is not translated
5) Apply patch
6) Look in xx-YY-staff-prog.po, and if needed, translate the msgid
   "Remove"
7) Update and reinstall the language
8) Do 2 and 3 again. The "Remove" link should now be translated.

Signed-off-by: Pasi Kallinen <pasi.kallinen@joensuu.fi>
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=10209
Comment 4 Jonathan Druart 2018-02-05 12:56:16 UTC
Created attachment 71224 [details] [review]
Bug 20109: (follow-up) Use double quote instead of simple-quote
Comment 5 Jonathan Druart 2018-02-05 13:00:53 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 02:30:59 UTC
Awesome work all, pushed to stable for 17.11.03